Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Linux Mint 17 64bit libegl1-mesa:i638 issue
#21
(01-17-2016, 04:43 PM)gregory Wrote: Maybe I need to add the depency to EGL (even if it is SDL2 that depends on it).

Could you help please? I have Mint Cinnamon 17.3. apt-cache show libegl1-mesa gives:

Code:
Package: libegl1-mesa
Priority: optional
Section: libs
Installed-Size: 248
Maintainer: Ubuntu X-SWAT <[email protected]>
Original-Maintainer: Debian X Strike Force <[email protected]>
Architecture: amd64
Source: mesa
Version: 10.1.3-0ubuntu0.6
Replaces: libegl1-x11
Provides: libegl1-x11
Depends: libc6 (>= 2.14), libdrm2 (>= 2.4.25), libgbm1 (>= 7.11~1), libwayland-client0 (>= 1.3.92), libwayland-server0 (>= 1.2.0), libx11-6, libx11-xcb1, libxcb-dri2-0 (>= 1.8), libxcb-xfixes0, libxcb1, libudev1 | libudev0
Pre-Depends: multiarch-support
Recommends: libegl1-mesa-drivers
Conflicts: libegl1-x11
Filename: pool/main/m/mesa/libegl1-mesa_10.1.3-0ubuntu0.6_amd64.deb
Size: 59116
MD5sum: 969d8b8c25e0ab80e4c59d3e3ace0304
SHA1: ed0b74c5fff4f90095566d47bf168bf73d914887
SHA256: 819f3da64c90063fb7cbaf4df8309e1d482a398322cfd9c5f050317dcddff2a2
Description-en: free implementation of the EGL API -- runtime
This package contains the EGL native platform graphics interface library.
EGL provides a platform-agnostic mechanism for creating rendering surfaces
for use with other graphics libraries, such as OpenGL|ES and OpenVG.
.
This package contains modules to interface with the existing system GLX or
DRI2 drivers to provide OpenGL via EGL.  The libegl1-mesa-drivers package
provides drivers to provide hardware-accelerated OpenGL|ES and OpenVG support.
Description-md5: 303131c20d722e28695d1b6357d3c1c6
Multi-Arch: same
Homepage: http://mesa3d.sourceforge.net/
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 5y
Task: ubuntu-desktop, ubuntu-usb, kubuntu-desktop, kubuntu-active, kubuntu-active-desktop, kubuntu-active, edubuntu-desktop, edubuntu-usb, xubuntu-desktop, mythbuntu-frontend, mythbuntu-desktop, mythbuntu-backend-slave, mythbuntu-backend-master, lubuntu-core, ubuntustudio-desktop, ubuntu-gnome-desktop

Package: libegl1-mesa
Priority: optional
Section: libs
Installed-Size: 248
Maintainer: Ubuntu X-SWAT <[email protected]>
Original-Maintainer: Debian X Strike Force <[email protected]>
Architecture: amd64
Source: mesa
Version: 10.1.0-4ubuntu5
Replaces: libegl1-x11
Provides: libegl1-x11
Depends: libc6 (>= 2.14), libdrm2 (>= 2.4.25), libgbm1 (>= 7.11~1), libwayland-client0 (>= 1.3.92), libwayland-server0 (>= 1.2.0), libx11-6, libx11-xcb1, libxcb-dri2-0 (>= 1.8), libxcb-xfixes0, libxcb1, libudev1 | libudev0
Pre-Depends: multiarch-support
Recommends: libegl1-mesa-drivers
Conflicts: libegl1-x11
Filename: pool/main/m/mesa/libegl1-mesa_10.1.0-4ubuntu5_amd64.deb
Size: 58952
MD5sum: e5a710e314d35a3fb6b43470686be4f0
SHA1: f6936f68594be8dfc9a531f56ad2e8208e37bc12
SHA256: ad058fc9ce43080164b77507a8b095f15205a0c6305cb847c6f13b2875499fa1
Description-en: free implementation of the EGL API -- runtime
This package contains the EGL native platform graphics interface library.
EGL provides a platform-agnostic mechanism for creating rendering surfaces
for use with other graphics libraries, such as OpenGL|ES and OpenVG.
.
This package contains modules to interface with the existing system GLX or
DRI2 drivers to provide OpenGL via EGL.  The libegl1-mesa-drivers package
provides drivers to provide hardware-accelerated OpenGL|ES and OpenVG support.
Description-md5: 303131c20d722e28695d1b6357d3c1c6
Multi-Arch: same
Homepage: http://mesa3d.sourceforge.net/
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 5y
Task: ubuntu-desktop, ubuntu-usb, kubuntu-desktop, kubuntu-active, kubuntu-active-desktop, kubuntu-active, edubuntu-desktop, edubuntu-usb, xubuntu-desktop, mythbuntu-frontend, mythbuntu-desktop, mythbuntu-backend-slave, mythbuntu-backend-master, lubuntu-core, ubuntustudio-desktop, ubuntu-gnome-desktop

apt-get install pcsx2:i386 gives:

Code:
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
libegl1-mesa : Depends: libgbm1 (>= 7.11~1) but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

apt-get build-dep pcsx2-unstable:i386 gives:

Code:
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Picking 'pcsx2.snapshot' as source package instead of 'pcsx2-unstable'
The following packages have unmet dependencies:
portaudio19-dev : Depends: libjack-dev
E: Build-dependencies for pcsx2-unstable:i386 could not be satisfied.

apt-get install pcsx2-unstable:i386

Code:
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
libegl1-mesa : Depends: libgbm1 (>= 7.11~1) but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.


@DATA
I have both of those installed already. It does not help.
Reply

Sponsored links

#22
What give you
Quote: dpkg -l | grep -i mesa
Reply
#23
(05-06-2016, 11:06 AM)gregory Wrote: What give you

Code:
ii  libegl1-mesa-dev                            10.1.3-0ubuntu0.6                                   amd64        free implementation of the EGL API -- development files
ii  libegl1-mesa-lts-vivid:amd64                10.5.9-2ubuntu1~trusty2                             amd64        free implementation of the EGL API -- runtime
ii  libgl1-mesa-dev                             10.1.3-0ubuntu0.6                                   amd64        free implementation of the OpenGL API -- GLX development files
ii  libgl1-mesa-dri-lts-vivid:amd64             10.5.9-2ubuntu1~trusty2                             amd64        free implementation of the OpenGL API -- DRI modules
ii  libgl1-mesa-dri-lts-vivid:i386              10.5.9-2ubuntu1~trusty2                             i386         free implementation of the OpenGL API -- DRI modules
ii  libgl1-mesa-glx-lts-vivid:amd64             10.5.9-2ubuntu1~trusty2                             amd64        free implementation of the OpenGL API -- GLX runtime
ii  libgl1-mesa-glx-lts-vivid:i386              10.5.9-2ubuntu1~trusty2                             i386         free implementation of the OpenGL API -- GLX runtime
ii  libglapi-mesa-lts-vivid:amd64               10.5.9-2ubuntu1~trusty2                             amd64        free implementation of the GL API -- shared library
ii  libglapi-mesa-lts-vivid:i386                10.5.9-2ubuntu1~trusty2                             i386         free implementation of the GL API -- shared library
ii  libgles1-mesa-lts-vivid:amd64               10.5.9-2ubuntu1~trusty2                             amd64        free implementation of the OpenGL|ES 1.x API -- runtime
ii  libgles2-mesa-dev                           10.1.3-0ubuntu0.6                                   amd64        free implementation of the OpenGL|ES 2.x API -- development files
ii  libgles2-mesa-lts-vivid:amd64               10.5.9-2ubuntu1~trusty2                             amd64        free implementation of the OpenGL|ES 2.x API -- runtime
ii  libglu1-mesa:amd64                          9.0.0-2                                             amd64        Mesa OpenGL utility library (GLU)
ii  libglu1-mesa:i386                           9.0.0-2                                             i386         Mesa OpenGL utility library (GLU)
ii  libglu1-mesa-dev                            9.0.0-2                                             amd64        Mesa OpenGL utility library -- development files
ii  libmirclientplatform-mesa:amd64             0.1.8+14.04.20140411-0ubuntu1                       amd64        Display server for Ubuntu - client platform library for Mesa
ii  libtxc-dxtn-s2tc0:amd64                     0~git20131104-1.1                                   amd64        Texture compression library for Mesa
ii  libtxc-dxtn-s2tc0:i386                      0~git20131104-1.1                                   i386         Texture compression library for Mesa
ii  libwayland-egl1-mesa-lts-vivid:amd64        10.5.9-2ubuntu1~trusty2                             amd64        implementation of the Wayland EGL platform -- runtime
ii  mesa-common-dev                             10.1.3-0ubuntu0.6                                   amd64        Developer documentation for Mesa
ii  mesa-utils                                  8.1.0-2                                             amd64        Miscellaneous Mesa GL utilities
ii  xscreensaver-gl                             5.15-3ubuntu1                                       amd64        GL(Mesa) screen hacks for xscreensaver
ii  xscreensaver-gl-extra                       5.15-3ubuntu1                                       amd64        GL(Mesa) screen hacks for xscreensaver
Reply
#24
Try to install first mesa on 32 bits
Code:
sudo apt-get install libwayland-egl1-mesa-lts-vivid:i386 libegl1-mesa-lts-vivid:i386
Reply
#25
(05-06-2016, 11:32 AM)gregory Wrote: Try to install first mesa on 32 bits
Code:
sudo apt-get install libwayland-egl1-mesa-lts-vivid:i386 libegl1-mesa-lts-vivid:i386

Well, thank you! After that I installed it

Code:
sudo apt-get install pcsx2


... and it works. My kids will be happy  Smile
Reply
#26
Works great, thanks gregory!
Reply




Users browsing this thread: 1 Guest(s)